﻿/*
Theme Name: Reboot Child
Theme URI: https://wpshop.ru/themes/reboot
Author: WPShop.biz
Author URI: http://wpshop.biz/
Template: reboot
Version: 1.0.0
*/

/* Below you can add your CSS styles */
/* Ниже Вы можете добавить свои CSS стили */

/*фон выпадающего меню пк*/
@media (min-width: 992px) {
	.sub-menu {
		background:#4B93D0!important;
	}
}
/*меню и ширина сайта*/

/*цвет гамбургера закрытого*/
@media screen and (max-width: 991px) {
	.humburger span { 
		background: #fff !important; 
	}
}
/*цвет гамгурера открытого*/
.humburger.open span { 
	background: #fff !important; 
}
/*цвет шрифта в мобильном меню*/
@media screen and (max-width: 991px) { 
	.main-navigation ul li>a { 
		color: #FFF !important;
	}
}
@media (max-width: 991px) {
	.site-header {
		position: fixed;
		width: 100%;
		z-index: 10;	
		transition: transform 0.5s;
	}
	
	.card-slider-container+.site-content, .mobile-menu-placeholder+.site-content {
		margin-top: 80px;
	}
	.mobile-menu-placeholder {
		position: fixed;
		width: 80%; /* ширина моб. меню */
		max-width: 400px; /* максимальная ширина моб. меню */
		left: -100%;
		top: 0;
		z-index: 9;		
		margin: 0;
		height: 100%;		
	}
	.mobile-menu-placeholder nav {
		position: static!important;
		display: block!important;
	}	
	.main-navigation+.mobile-menu-placeholder.open,
	.mobile-menu-placeholder.open {
		left: 0;
		margin: 0;
	}	
	.mobile-menu-placeholder .main-navigation {
		position: relative;
		margin: 0;
		padding: 170px 0 50px!important;
		height: 100%!important;
		background: rgb(10 21 74 / 96%); /* цвет моб. меню */		
		box-shadow: 0 8px 26px rgba(0,0,0,0.1); /*0 28px 30px rgba(0,0,0,0.1);*/
		/*box-shadow: inset -30px 0 26px -26px rgba(0,0,0,0.3);*/ /* Тень моб. меню */		
	}	
	.mobile-menu-placeholder .main-navigation ul li .sub-menu {
		background: transparent;
	}
	@media screen and (max-width: 991px){
		.mobile-menu-placeholder .main-navigation ul li .sub-menu li {
			background: rgba(0, 0, 0,0.3); /* цвет фон подпункта подменю */
			box-shadow: 0 3px 10px -5px rgb(0 0 0 / 30%);
		}
	}
	@media screen and (max-width: 991px){
		.mobile-menu-placeholder .main-navigation ul li.menu-item-has-children:before {
			background:red;/* rgba(0,0,0,0.9);*/  /* цвет стрелки */                   
		}
	}
	.mobile-menu-placeholder .main-navigation-inner {
		height: 100%;
		overflow-y: auto;	
	}
	.main-navigation-inner.fixed {
		display: none;
	}	
	.mobile-menu-placeholder .main-navigation-inner.fixed {
		display: block;
	}
}
@media (min-width: 1399px) {
    .container, .fixed.block-after-site, .fixed.main-navigation-inner, .fixed.related-posts, .fixed.section-block, .fixed.section-html, .fixed.site-content, .fixed.site-footer-inner, .fixed.site-header-inner, .footer-navigation.fixed, .main-navigation.fixed, .site-footer.fixed, .site-header.fixed {
        max-width: 1290px;
	}
}
@media (min-width: 1600px) {
    .container, .fixed.block-after-site, .fixed.main-navigation-inner, .fixed.related-posts, .fixed.section-block, .fixed.section-html, .fixed.site-content, .fixed.site-footer-inner, .fixed.site-header-inner, .footer-navigation.fixed, .main-navigation.fixed, .site-footer.fixed, .site-header.fixed {
        max-width: 1500px;
	}
	.widget-area {
		max-width: 400px;
	}
    .content-area {
        max-width: calc(100% - 400px);
	}
	.entry-content, .home-text, .taxonomy-description {
		max-width: 830px;	
	}		
}
/*and*/

.main-navigation ul li .sub-menu li>a,
.main-navigation ul li .sub-menu li>span {
	white-space: normal;
}

@media (min-width: 992px) {
	/* Выпадайка на ПК )*/
	.main-navigation ul li .sub-menu {	
        min-width: 300px; /* Минимальное */
        max-width: 320px; /* Максимальное */
	}		
	
}	

.site-header {
    position: relative;
    -webkit-box-shadow: inset 0 -1px 0 0 #f2f5f9;
    box-shadow: inset 0 -1px 0 0 #f2f5f9;
    padding-top: 20px;
    padding-bottom: 20px;
    background-color: #fff;
    margin-bottom: 0px!important; 
}
@media (max-width: 991px) {
    .site-header {
        position: fixed;
        width: 100%;
        z-index: 10;
        transition: transform 0.5s;
		box-shadow: unset!important;
    }
}
/*УБРАТЬ ПОЛОСКУ БЕЛУЮ НАД МЕНЮ*/
site-header {
    box-shadow: unset!important;
}
/*убрать полоску между шапкой и меню*/
.site-header {
    position: relative;
    -webkit-box-shadow: inset 0 -1px 0 0 #f2f5f9;
    box-shadow: inset 0 -1px 0 0 #f2f5f900;
}

@media (max-width: 991px) {
    .card-slider-container+.site-content, .mobile-menu-placeholder+.site-content {
        margin-top: -50px;
    }
}